Bug 255011 - security/stunnel: Update to 5.59
Summary: security/stunnel: Update to 5.59
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ryan Steinmetz
URL: https://www.stunnel.org/NEWS.html
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-12 17:44 UTC by Daniel Engberg
Modified: 2021-05-05 19:51 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (zi)


Attachments
Patch for stunnel (2.55 KB, patch)
2021-04-12 17:44 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg 2021-04-12 17:44:42 UTC
Created attachment 224057 [details]
Patch for stunnel

Rework MASTER_SITES, use official mirrors (HTTPS first) and fallback to main site
Drop static library

Reference: https://www.stunnel.org/downloads.html

Compile and run tested on FreeBSD 13.0-RC1 (aarch64) (make, make check-plist)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 1 Tatsuki Makino 2021-04-13 00:15:42 UTC
I would like to see a fix for bug 249151 included as well :)
I have contacted upstream directly about bug 231708. It is probably fixed in this version :)
Comment 2 Daniel Engberg 2021-04-13 21:06:24 UTC
Hi, that can be applied with very little effort :-)
Comment 3 Daniel Engberg 2021-05-05 19:26:47 UTC
Friendly ping
Comment 4 Ryan Steinmetz freebsd_committer freebsd_triage 2021-05-05 19:31:03 UTC
Updated to 5.59
Comment 5 Daniel Engberg 2021-05-05 19:51:40 UTC
thanks, however the majority of MASTER_SITES are still broken and is there a reason to keep the static library?